Name:          weld-license
Version:       1
Release:       %mkrel 4
Summary:       Weld License Bundle
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.seamframework.org/Weld
# https://github.com/weld/build.git
# mkdir -p weld-license-1
# git clone git://github.com/weld/build.git
# cd build
# git archive weld-license-1 | tar -x -C ../weld-license-1
# cd ..
# rm -rf weld-license-1/lib/maven-ant-tasks.jar
# rm -rf weld-license-1/lib/maven/LICENSE.txt
# rm -rf weld-license-1/lib/maven/NOTICE.txt
# rm -rf weld-license-1/lib/maven/README.txt
# rm -rf weld-license-1/lib/maven/bin
# rm -rf weld-license-1/lib/maven/boot
# rm -rf weld-license-1/lib/maven/conf
# rm -rf weld-license-1/lib/maven/lib
# tar czf weld-license-1-src-git.tar.gz weld-license-1
Source0:       weld-license-1-src-git.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-local
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-scm
BuildRequires: forge-parent

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Weld is the reference implementation of JSR-299: Java Contents and Dependency
Injection for the Java EE platform (CDI). JSR-299 is the new Java standard for
dependency injection and contextual lifecycle management.

This package contains Weld License Bundle.

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build

cd license
mvn-rpmbuild install javadoc:aggregate

%install

cd license
install -d -m 755 %{buildroot}%{_javadir}/jboss
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1-4.mga4
+ Revision: 546080
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1-3.mga4
+ Revision: 502109
- BR maven-local for mvn-rpmbuild

* Mon Jan 14 2013 umeabot <umeabot> 1-2.mga3
+ Revision: 385678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 gil <gil> 1-1.mga2
+ Revision: 199437
- imported package weld-license

